Package org.apache.wiki.api.plugin

# Interface ParserStagePlugin

public interface ParserStagePlugin
Implements a Plugin interface for the parser stage. Please see `PluginManager` for further documentation.

## Method Summary

Modifier and Type
Method
Description
`void`
`executeParser(PluginElement element, Context context, Map<String,String> params)`
Method which is executed during parsing.

## Method Details

### executeParser

void executeParser(PluginElement element, Context context, Map<String,String> params)
Method which is executed during parsing.

Parameters:
  `element` - The JDOM element which has already been connected to the Document.
  `context` - WikiContext, as usual.
  `params` - Parsed parameters for the plugin.